Subject: Re: RFC: net 00/05: routing based send-to-self implementation

From: [email-masked] (Eric W. Biederman)
Date: Mon, 30 Nov 2009 11:32:30 -0800

Patrick McHardy <[email-masked]> writes:

> These patches are yet another attempt at adding "send-to-self" functionality,
> allowing to send packets between two local interfaces over the wire. Unlike
> the approaches I've seen so far, this one is purely routing based.
> Especially the oif classification should also be useful for different setups.

Why not put each physical interface in a different network namespace?
That should work with no changes today.

Eric